## systemtap 2.2.1

=== debian/changelog ===
systemtap (2.2.1-1ubuntu1) saucy; urgency=low

  * Make systemtap-sdt-dev depend on python:any, not python, so that
    it's usable as a build-dependency for cross-compilation.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 11 Oct 2013 21:54:38 -0700

systemtap (2.2.1-1) unstable; urgency=low

  * New upstream release.
  * Drop patches that are part of the new upstream release:
    - 0001-man-stap.1-escape-minus-sign-properly.patch
    - 0002-man-stap.1-fix-typo.patch
    - 0003-man-stapprobes.3stap-escape-minus-sign-properly.patch
    - 0005-Add-missing-usr-bin-env-stap-to-some-examples.patch
    - 0006-man-stappaths.7-properly-escape-dot-in-the-beginning.patch
    - 0008-man-escape-quote-properly-in-header.patch
    - 0001-configure.ac-remove-temporary-file-after-test.patch
    - 0002-Makefile.am-remove-temporary-symlinks-in-distclean.patch
    - 0003-configure-Makefile-regenerate.patch
    - 0001-tapset-test-adieu.patch
    - 0001-Makefile.am-don-t-install-html-.tmpl-files.patch
    - 0002-Makefile.in-regenerate.patch
    - 0001-manpager-fix-warnings-by-adding-breaks-between-SEE-A.patch
    - 0001-blacklist-more-unsafe-functions.patch
    - 0001-Prepare-stap-prep-for-support-for-non-rpm-systems.patch
    - 0001-translator-tolerate-unavailable-System.map.patch
    - 0002-stap-prep-add-support-for-deb-based-systems.patch
    - 0003-man-add-man-page-for-stap-prep-1.patch
    - 0004-man-stap.1-add-reference-to-stap-prep-1.patch
    - 0001-install-stap-prep.1-man-page.patch
    - 0002-man-Makefile.in-regenerate.patch
    - 0001-stap-prep-debian-do-not-check-for-linux-kbuild.patch
  * Backport upstream commit 91872f5 (PR15484: have staprun disable
    kprobes-optimization again) to avoid kernel BUG during testsuite:
    - 0001-PR15484-have-staprun-disable-kprobes-optimization-ag.patch

 -- Timo Juhani Lindfors <timo.lindfors@iki.fi>  Thu, 16 May 2013 19:16:58 +0000

## systemtap 2.3

=== debian/changelog ===
systemtap (2.3-1ubuntu1) trusty; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Make systemtap-sdt-dev depend on python:any, not python, so that
      it's usable as a build-dependency for cross-compilation.
  
 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 20 Oct 2013 19:39:53 -0700

systemtap (2.3-1) unstable; urgency=low

  * New upstream release.
  * Drop patches that are part of the new upstream release:
    - 0001-PR15484-have-staprun-disable-kprobes-optimization-ag.patch
  * Backport bugfixes:
    - 0001-For-xen-kernels-handle-cpufreq_register_notifier-fai.patch
    - 0001-PR15803-netfilter-tolerate-absent-context-when-colle.patch

 -- Timo Juhani Lindfors <timo.lindfors@iki.fi>  Fri, 26 Jul 2013 07:04:49 +0000

=== debian/control ===
Source: systemtap
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ritesh Raj Sarraf <rrs@debian.org> 
Uploaders: Timo Juhani Lindfors <timo.lindfors@iki.fi>
Build-Depends: debhelper (>= 7.0.50~), libelf-dev (>= 0.141),
 libdw-dev (>= 0.141), libsqlite3-dev, texlive-latex-base, texlive-latex-recommended,
 texlive-latex-extra, texlive-fonts-recommended, libnss3-dev, libnspr4-dev, pkg-config,
 libnss3-tools, xmlto, latex2html, libavahi-client-dev
Standards-Version: 3.9.4
Homepage: http://sourceware.org/systemtap/
Vcs-Git: git://git.debian.org/git/collab-maint/systemtap.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/systemtap.git

Package: systemtap
Architecture: i386 amd64 ia64 s390 powerpc powerpcspe arm armel armeb armhf
Depends: systemtap-runtime (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
 systemtap-common (= ${source:Version}), make
Suggests: systemtap-doc, vim-addon-manager, linux-image, linux-headers, linux-debug
Description: instrumentation system for Linux
 SystemTap provides infrastructure to simplify the gathering of
 information about the running Linux system.
 This assists diagnosis of a performance or functional problem.
 SystemTap eliminates the need for the developer to go through the
 tedious and disruptive instrument, recompile, install, and reboot
 sequence that may be otherwise required to collect data.
 .
 SystemTap provides a simple command line interface and scripting
 language for writing instrumentation for a live running system.

Package: systemtap-common
Architecture: all
Replaces: systemtap (<< 0.0.20081220-1), systemtap-grapher (<< 2.1-1~experimental1~try1)
Breaks: systemtap (<< 0.0.20081220-1), systemtap-grapher (<< 2.1-1~experimental1~try1)
Depends: ${misc:Depends}
Recommends: systemtap
Description: instrumentation system for Linux (common component)
 SystemTap provides infrastructure to simplify the gathering of
 information about the running Linux system.
 .
 To be able to write new SystemTap probes, install systemtap package.
 .
 This package contains the common files

Package: systemtap-runtime
Replaces: systemtap (<< 0.0.20081220-1)
Breaks: systemtap (<< 0.0.20081220-1)
Suggests: systemtap
Architecture: i386 amd64 ia64 s390 powerpc powerpcspe arm armel armeb armhf
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Description: instrumentation system for Linux (runtime component)
 This package contains staprun program that can be used to run
 compiled SystemTap probes.
 .
 SystemTap provides infrastructure to simplify the gathering of
 information about the running Linux system.
 .
 To be able to write new SystemTap probes, install systemtap package.

Package: systemtap-doc
Architecture: all
Section: doc
Suggests: doc-base
Depends: ${misc:Depends}
Breaks: systemtap (<< 0.0.20081220-1)
Replaces: systemtap (<< 0.0.20081220-1)
Description: documentation and examples for SystemTap
 This package contains examples and documentation for SystemTap.
 .
 SystemTap provides infrastructure to simplify the gathering of
 information about the running Linux system.

Package: systemtap-server
Architecture: i386 amd64 ia64 s390 powerpc powerpcspe arm armel armeb armhf
Depends: libnss3-tools, avahi-utils, unzip, zip, systemtap (= ${binary:Version}),
 systemtap-client (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
 net-tools
Breaks: systemtap-client (<< 0.0.20090523~)
Replaces: systemtap-client (<< 0.0.20090523~)
Description: instrumentation system for Linux (compile server)
 This package contains compile server for SystemTap. It can be used
 together with systemtap client to compile probes on a remote machine.
 Probes will be compiled by the server on request of remote clients.
 .
 SystemTap provides infrastructure to simplify the gathering of
 information about the running Linux system.

Package: systemtap-client
Architecture: i386 amd64 ia64 s390 powerpc powerpcspe arm armel armeb armhf
Depends: avahi-utils, unzip, zip, dnsutils, systemtap-runtime (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: systemtap-server
Description: instrumentation system for Linux (client for compile server)
 This package contains client for SystemTap compile server. It can be
 used to compile probes on a remote machine running systemtap-server.
 This client can be run on a machine without full kernel debug information
 and development environment required for 'systemtap' package.
 .
 If you only want to compile systemtap probes locally just install
 'systemtap'  package.
 .
 SystemTap provides infrastructure to simplify the gathering of
 information about the running Linux system.

Package: systemtap-sdt-dev
Architecture: i386 amd64 ia64 s390 powerpc powerpcspe arm armel armeb armhf
Depends: ${misc:Depends}, python:any
Description: statically defined probes development files
 This package contains header file and executable (dtrace) that
 can be used to add static probes into userspace applications
 for use with SystemTap.
 .
 SystemTap provides infrastructure to simplify the gathering of
 information about the running Linux system.
 .
 To be able to write new SystemTap probes, install systemtap package.

=== debian/rules ===
#!/usr/bin/make -f

VIM_ADIR = $(CURDIR)/debian/tmp/usr/share/vim/addons
VIM_RDIR = $(CURDIR)/debian/tmp/usr/share/vim/registry

EMACS_ADIR = $(CURDIR)/debian/tmp/usr/share/emacs/site-lisp/systemtap-common

CONF_FLAGS = --enable-sqlite --disable-crash --enable-docs --disable-pie \
	     --enable-server --without-rpm --disable-silent-rules \
	     --enable-translator --disable-publican \
	     --libexecdir=/usr/lib $(shell dpkg-buildflags --export=configure)

# Building of man pages takes A LOT of time
ifeq (,$(filter stap_disable_refdocs,$(DEB_BUILD_OPTIONS)))
	CONF_FLAGS += --enable-refdocs
else
	CONF_FLAGS += --disable-refdocs
endif

%:
	dh $@ --parallel

override_dh_auto_test:
	# Tests cannot be run during build, see #526957

override_dh_auto_configure:
	dh_auto_configure -- $(CONF_FLAGS)

override_dh_auto_install:
	dh_auto_install

	# Install vim files
	install -m 644 -D vim/ftdetect/stp.vim $(VIM_ADIR)/ftdetect/stp.vim
	install -m 644 -D vim/ftplugin/stp.vim $(VIM_ADIR)/ftplugin/stp.vim
	install -m 644 -D vim/indent/stp.vim $(VIM_ADIR)/indent/stp.vim
	install -m 644 -D vim/syntax/stp.vim $(VIM_ADIR)/syntax/stp.vim
	install -m 644 -D $(CURDIR)/debian/systemtap.yaml $(VIM_RDIR)/systemtap.yaml

	# Install emacs files
	install -m 644 -D emacs/systemtap-init.el $(EMACS_ADIR)/systemtap-init.el
	install -m 644 -D emacs/systemtap-mode.el $(EMACS_ADIR)/systemtap-mode.el

	# Install stap-prep
	install -D stap-prep $(CURDIR)/debian/tmp/usr/bin/stap-prep

	# Ensure that example scripts are executable but tapset files are not
	find debian/tmp/usr/share/doc/systemtap/examples/ -name \*.stp \! -executable | grep -v /tapset/ | xargs --no-run-if-empty chmod -v +x
	find debian/tmp/usr/share/doc/systemtap/examples/ -name \*.stp -executable | grep /tapset/ | xargs --no-run-if-empty chmod -v -x

	# Remove empty file to make lintian happy, patch sent to xmlto upstream
	rm -f debian/tmp/usr/share/doc/systemtap/tapsets/tapsets.proc

override_dh_compress:
	dh_compress -X.stp -X.wav -Xsocktop -Xsyscalltimes -X.pdf

override_dh_fixperms:
	dh_fixperms
	chmod 4754 debian/systemtap-runtime/usr/bin/staprun

=== debian/watch ===
version=3
http://sourceware.org/systemtap/ftp/releases/ systemtap-(.*)\.tar.gz

## systemtap 2.5

=== debian/changelog ===
systemtap (2.5-0ubuntu2) utopic; urgency=medium

  * New upstream version.
  * Build for arm64 and ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 05 Jul 2014 17:49:55 +0200

systemtap (2.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Make systemtap-sdt-dev architecture dependent again, build it on every
    architecture, move the sys/sdt.h to the multiarch include path, and don't
    ship the sdt headers on architectures where systemtap is not built.
    Closes: #748694.
    Doesn't need to be M-A: foreign. Closes: #749035.

 -- Matthias Klose <doko@debian.org>  Sat, 05 Jul 2014 17:08:01 +0200

systemtap (2.3-2) unstable; urgency=low

  * Don't Suggest linux-* since that won't guarantee right version anyway
    (Closes: #724561, #735459).
  * Depend on python:any for cross-installability (Closes: #726087).
  * Bump required libelf-dev and libdw-dev version (Closes: #730019).
  * Make systemtap-sdt-dev arch:all so that gcc and libc can B-D on it
    (Closes: #726248).
  * Bump Standards-Version to 3.9.5, no changes necessary.

 -- Timo Juhani Lindfors <timo.lindfors@iki.fi>  Sat, 05 Apr 2014 10:40:10 +0300

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,22 @@
 Source: systemtap
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ritesh Raj Sarraf <rrs@debian.org> 
+Maintainer: Ritesh Raj Sarraf <rrs@debian.org> 
 Uploaders: Timo Juhani Lindfors <timo.lindfors@iki.fi>
-Build-Depends: debhelper (>= 7.0.50~), libelf-dev (>= 0.141),
- libdw-dev (>= 0.141), libsqlite3-dev, texlive-latex-base, texlive-latex-recommended,
+Build-Depends: debhelper (>= 7.0.50~), libelf-dev (>= 0.148),
+ libdw-dev (>= 0.148), libsqlite3-dev, texlive-latex-base, texlive-latex-recommended,
  texlive-latex-extra, texlive-fonts-recommended, libnss3-dev, libnspr4-dev, pkg-config,
  libnss3-tools, xmlto, latex2html, libavahi-client-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://sourceware.org/systemtap/
 Vcs-Git: git://git.debian.org/git/collab-maint/systemtap.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/systemtap.git
 
 Package: systemtap
-Architecture: i386 amd64 ia64 s390 powerpc powerpcspe arm armel armeb armhf
+Architecture: any
 Depends: systemtap-runtime (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
  systemtap-common (= ${source:Version}), make
-Suggests: systemtap-doc, vim-addon-manager, linux-image, linux-headers, linux-debug
+Suggests: systemtap-doc, vim-addon-manager
 Description: instrumentation system for Linux
  SystemTap provides infrastructure to simplify the gathering of
  information about the running Linux system.
@@ -47,7 +46,7 @@
 Replaces: systemtap (<< 0.0.20081220-1)
 Breaks: systemtap (<< 0.0.20081220-1)
 Suggests: systemtap
-Architecture: i386 amd64 ia64 s390 powerpc powerpcspe arm armel armeb armhf
+Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
 Description: instrumentation system for Linux (runtime component)
  This package contains staprun program that can be used to run
@@ -72,7 +71,7 @@
  information about the running Linux system.
 
 Package: systemtap-server
-Architecture: i386 amd64 ia64 s390 powerpc powerpcspe arm armel armeb armhf
+Architecture: any
 Depends: libnss3-tools, avahi-utils, unzip, zip, systemtap (= ${binary:Version}),
  systemtap-client (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
  net-tools
@@ -87,7 +86,7 @@
  information about the running Linux system.
 
 Package: systemtap-client
-Architecture: i386 amd64 ia64 s390 powerpc powerpcspe arm armel armeb armhf
+Architecture: any
 Depends: avahi-utils, unzip, zip, dnsutils, systemtap-runtime (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Suggests: systemtap-server
 Description: instrumentation system for Linux (client for compile server)
@@ -103,7 +102,7 @@
  information about the running Linux system.
 
 Package: systemtap-sdt-dev
-Architecture: i386 amd64 ia64 s390 powerpc powerpcspe arm armel armeb armhf
+Architecture: any
 Depends: ${misc:Depends}, python:any
 Description: statically defined probes development files
  This package contains header file and executable (dtrace) that

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,8 @@
 	     --enable-server --without-rpm --disable-silent-rules \
 	     --enable-translator --disable-publican \
 	     --libexecdir=/usr/lib $(shell dpkg-buildflags --export=configure)
+
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 # Building of man pages takes A LOT of time
 ifeq (,$(filter stap_disable_refdocs,$(DEB_BUILD_OPTIONS)))
@@ -50,6 +52,16 @@
 	# Remove empty file to make lintian happy, patch sent to xmlto upstream
 	rm -f debian/tmp/usr/share/doc/systemtap/tapsets/tapsets.proc
 
+override_dh_install:
+	dh_install
+ifneq (,$(filter systemtap-runtime,$(shell dh_listpackages -s)))
+	mkdir -p debian/systemtap-sdt-dev/usr/include/$(DEB_HOST_MULTIARCH)
+	mv debian/systemtap-sdt-dev/usr/include/sys \
+		debian/systemtap-sdt-dev/usr/include/$(DEB_HOST_MULTIARCH)/.
+else
+	rm -rf debian/systemtap-sdt-dev/usr/include
+endif
+
 override_dh_compress:
 	dh_compress -X.stp -X.wav -Xsocktop -Xsyscalltimes -X.pdf

## systemtap 2.6

=== debian/changelog ===
systemtap (2.6-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Added patch so systemtap-mode can still be compiled with Emacs 24.4
    (Closes: #766994)

 -- Hilko Bengen <bengen@debian.org>  Mon, 10 Nov 2014 23:20:54 +0100

systemtap (2.6-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release
    - No longer fails to compile with recent Debian kernels
      (Closes: #747090)
    - No longer fails to compile procfs probes (Closes: #761168)
  * Rebased patches
  * Changed dh-autoreconf build-dependency to autotools-dev as noticed by
    Lintian

 -- Hilko Bengen <bengen@debian.org>  Thu, 25 Sep 2014 22:44:45 +0200

systemtap (2.3-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Build using autotools-dev. Good enough to run the configure script,
    and dh-autoreconf breaks the po/ update.

 -- Matthias Klose <doko@debian.org>  Wed, 06 Aug 2014 10:01:07 +0200

systemtap (2.3-2.2) unstable; urgency=high

  * Non-maintainer upload.
  * Build systemtap only on architectures where it is packaged and assemble
    the systemtap-sdt-dev package from the just configured package.
  * Don't add the standard include path in dtrace and make the
    systemtap-sdt-dev package Multi-Arch: same.

 -- Matthias Klose <doko@debian.org>  Sun, 03 Aug 2014 15:51:47 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ritesh Raj Sarraf <rrs@debian.org> 
 Uploaders: Timo Juhani Lindfors <timo.lindfors@iki.fi>
-Build-Depends: debhelper (>= 7.0.50~), libelf-dev (>= 0.148),
+Build-Depends: debhelper (>= 7.0.50~), autotools-dev, libelf-dev (>= 0.148),
  libdw-dev (>= 0.148), libsqlite3-dev, texlive-latex-base, texlive-latex-recommended,
  texlive-latex-extra, texlive-fonts-recommended, libnss3-dev, libnspr4-dev, pkg-config,
  libnss3-tools, xmlto, latex2html, libavahi-client-dev
@@ -13,7 +13,7 @@
 Vcs-Browser: http://git.debian.org/?p=collab-maint/systemtap.git
 
 Package: systemtap
-Architecture: any
+Architecture: i386 amd64 ia64 s390 powerpc powerpcspe arm armel armeb armhf
 Depends: systemtap-runtime (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
  systemtap-common (= ${source:Version}), make
 Suggests: systemtap-doc, vim-addon-manager
@@ -46,7 +46,7 @@
 Replaces: systemtap (<< 0.0.20081220-1)
 Breaks: systemtap (<< 0.0.20081220-1)
 Suggests: systemtap
-Architecture: any
+Architecture: i386 amd64 ia64 s390 powerpc powerpcspe arm armel armeb armhf
 Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
 Description: instrumentation system for Linux (runtime component)
  This package contains staprun program that can be used to run
@@ -71,7 +71,7 @@
  information about the running Linux system.
 
 Package: systemtap-server
-Architecture: any
+Architecture: i386 amd64 ia64 s390 powerpc powerpcspe arm armel armeb armhf
 Depends: libnss3-tools, avahi-utils, unzip, zip, systemtap (= ${binary:Version}),
  systemtap-client (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
  net-tools
@@ -86,7 +86,7 @@
  information about the running Linux system.
 
 Package: systemtap-client
-Architecture: any
+Architecture: i386 amd64 ia64 s390 powerpc powerpcspe arm armel armeb armhf
 Depends: avahi-utils, unzip, zip, dnsutils, systemtap-runtime (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Suggests: systemtap-server
 Description: instrumentation system for Linux (client for compile server)

=== debian/rules ===
--- 
+++ 
@@ -19,8 +19,12 @@
 	CONF_FLAGS += --disable-refdocs
 endif
 
+ifeq (,$(filter systemtap-runtime,$(shell dh_listpackages -s)))
+  sdt_only := yes
+endif
+
 %:
-	dh $@ --parallel
+	dh $@ --parallel --with autotools-dev
 
 override_dh_auto_test:
 	# Tests cannot be run during build, see #526957
@@ -28,7 +32,13 @@
 override_dh_auto_configure:
 	dh_auto_configure -- $(CONF_FLAGS)
 
+override_dh_auto_build:
+ifneq ($(sdt_only),yes)
+	dh_auto_build
+endif
+
 override_dh_auto_install:
+ifneq ($(sdt_only),yes)
 	dh_auto_install
 
 	# Install vim files
@@ -51,15 +61,20 @@
 
 	# Remove empty file to make lintian happy, patch sent to xmlto upstream
 	rm -f debian/tmp/usr/share/doc/systemtap/tapsets/tapsets.proc
+endif
 
 override_dh_install:
+ifeq ($(sdt_only),yes)
+	install -m 755 -D dtrace debian/systemtap-sdt-dev/usr/bin/dtrace
+	install -m 644 -D man/dtrace.1 debian/systemtap-sdt-dev/usr/share/man/man1/dtrace.1
+	mkdir -p debian/systemtap-sdt-dev/usr/include/$(DEB_HOST_MULTIARCH)/sys
+	install -m 644 includes/sys/*.h \
+		debian/systemtap-sdt-dev/usr/include/$(DEB_HOST_MULTIARCH)/sys/.
+else
 	dh_install
-ifneq (,$(filter systemtap-runtime,$(shell dh_listpackages -s)))
 	mkdir -p debian/systemtap-sdt-dev/usr/include/$(DEB_HOST_MULTIARCH)
 	mv debian/systemtap-sdt-dev/usr/include/sys \
 		debian/systemtap-sdt-dev/usr/include/$(DEB_HOST_MULTIARCH)/.
-else
-	rm -rf debian/systemtap-sdt-dev/usr/include
 endif
 
 override_dh_compress:
@@ -67,4 +82,6 @@
 
 override_dh_fixperms:
 	dh_fixperms
+ifneq ($(sdt_only),yes)
 	chmod 4754 debian/systemtap-runtime/usr/bin/staprun
+endif

## systemtap 2.7

=== debian/changelog ===
systemtap (2.7-0ubuntu1) vivid; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Feb 2015 09:06:13 +0100

systemtap (2.6-0.2ubuntu1) vivid; urgency=medium

  * Merge with Debian; remaining changes:
    - Build for arm64 and ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 11 Nov 2014 11:19:01 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Vcs-Browser: http://git.debian.org/?p=collab-maint/systemtap.git
 
 Package: systemtap
-Architecture: i386 amd64 ia64 s390 powerpc powerpcspe arm armel armeb armhf
+Architecture: any
 Depends: systemtap-runtime (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
  systemtap-common (= ${source:Version}), make
 Suggests: systemtap-doc, vim-addon-manager
@@ -46,7 +46,7 @@
 Replaces: systemtap (<< 0.0.20081220-1)
 Breaks: systemtap (<< 0.0.20081220-1)
 Suggests: systemtap
-Architecture: i386 amd64 ia64 s390 powerpc powerpcspe arm armel armeb armhf
+Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
 Description: instrumentation system for Linux (runtime component)
  This package contains staprun program that can be used to run
@@ -71,7 +71,7 @@
  information about the running Linux system.
 
 Package: systemtap-server
-Architecture: i386 amd64 ia64 s390 powerpc powerpcspe arm armel armeb armhf
+Architecture: any
 Depends: libnss3-tools, avahi-utils, unzip, zip, systemtap (= ${binary:Version}),
  systemtap-client (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
  net-tools
@@ -86,7 +86,7 @@
  information about the running Linux system.
 
 Package: systemtap-client
-Architecture: i386 amd64 ia64 s390 powerpc powerpcspe arm armel armeb armhf
+Architecture: any
 Depends: avahi-utils, unzip, zip, dnsutils, systemtap-runtime (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Suggests: systemtap-server
 Description: instrumentation system for Linux (client for compile server)

## systemtap 2.8

=== debian/changelog ===
systemtap (2.8-2ubuntu1) wily; urgency=medium

  * Merge with Debian; remaining changes:
    - Build for arm64 and ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 29 Sep 2015 22:52:19 +0200

systemtap (2.8-2) unstable; urgency=medium

  * Use dh-autoreconf instead of autotools-dev. Closes: #763443.

 -- Vincent Bernat <bernat@debian.org>  Fri, 31 Jul 2015 20:11:46 +0200

systemtap (2.8-1) unstable; urgency=medium

  * New upstream release. Closes: #789303.
    - No longer fails to compile with recent Debian kernels
    - Rebase some patches.
  * Add myself as an uploader.
  * Update Vcs-* fields in debian/control.
  * Bump Standards-Version to 3.9.6, no changes necessary.

 -- Vincent Bernat <bernat@debian.org>  Thu, 30 Jul 2015 17:09:13 +0200

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,28 @@
 Section: devel
 Priority: optional
 Maintainer: Ritesh Raj Sarraf <rrs@debian.org> 
-Uploaders: Timo Juhani Lindfors <timo.lindfors@iki.fi>
-Build-Depends: debhelper (>= 7.0.50~), autotools-dev, libelf-dev (>= 0.148),
- libdw-dev (>= 0.148), libsqlite3-dev, texlive-latex-base, texlive-latex-recommended,
- texlive-latex-extra, texlive-fonts-recommended, libnss3-dev, libnspr4-dev, pkg-config,
- libnss3-tools, xmlto, latex2html, libavahi-client-dev
-Standards-Version: 3.9.5
+Uploaders: Timo Juhani Lindfors <timo.lindfors@iki.fi>,
+           Vincent Bernat <bernat@debian.org>
+Build-Depends: debhelper (>= 7.0.50~),
+               dh-autoreconf,
+               libelf-dev (>= 0.148),
+               libdw-dev (>= 0.148),
+               libsqlite3-dev,
+               texlive-latex-base,
+               texlive-latex-recommended,
+               texlive-latex-extra,
+               texlive-fonts-recommended,
+               libnss3-dev,
+               libnspr4-dev,
+               pkg-config,
+               libnss3-tools,
+               xmlto,
+               latex2html,
+               libavahi-client-dev
+Standards-Version: 3.9.6
 Homepage: http://sourceware.org/systemtap/
-Vcs-Git: git://git.debian.org/git/collab-maint/systemtap.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/systemtap.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/systemtap.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/systemtap.git
 
 Package: systemtap
 Architecture: any

## systemtap 2.9

=== runtime/linux/uprobes/Makefile ===
obj-m := uprobes.o
KDIR := /lib/modules/$(shell uname -r)/build
PWD := $(shell pwd)
DEPENDENCIES := $(shell echo uprobes.[ch] uprobes_*.[ch])
DEPENDENCIES += $(shell echo ../uprobes2/uprobes.[ch] ../uprobes2/uprobes_*.[ch])
DEPENDENCIES += Makefile

CLEAN_FILES := $(shell echo *.mod.c *.ko *.o .*.cmd *~ *.sgn)
CLEAN_FILES += Module.markers modules.order Module.symvers
CLEAN_DIRS  := .tmp_versions

LIBEXECDIR = ../../../../libexec/systemtap
CERTDB = ../../../../etc/systemtap/staprun

# Build the module and, if we are root or stap-server, sign it.
# Make sure that all the required tools and resources are available
# before attempting to sign the module. 
# Ensure that the generated files are writable by the group which
# owns this build directory. This is so that the stap-server service
# can rebuild the module, if necessary.
default:
	$(MAKE) -C $(KDIR) SUBDIRS=$(PWD) modules
	if test `id -u` = 0 -o `id -un` = stap-server; then \
		if test -x $(LIBEXECDIR)/stap-sign-module; then \
			stap_dir=${SYSTEMTAP_DIR}; \
			if test -z "$$stap_dir"; then \
				stap_dir=~/.systemtap; \
			fi; \
			certfile=$$stap_dir/ssl/server/stap.cert; \
			if test ! -f $$certfile -o -f $$stap_dir/ssl/server/pw; then \
				$(LIBEXECDIR)/stap-gen-cert > /dev/null; \
			fi; \
			if test `id -u` = 0; then \
				$(LIBEXECDIR)/stap-authorize-cert $$certfile $(CERTDB) > /dev/null; \
			fi; \
			for f in *.ko; do \
				if test ! -e $$f.sgn -o $$f.sgn -ot $$f; then \
					$(LIBEXECDIR)/stap-sign-module $$f > /dev/null; \
				fi \
			done \
		fi \
	fi
	group=`stat -c %G $(PWD)`; \
	for f in $(CLEAN_FILES); do \
		test ! -f $$f && continue; \
		chgrp -f $$group $$f; \
		chmod -f 664 $$f; \
	done; \
	for d in $(CLEAN_DIRS); do \
		test ! -d $$d && continue; \
		chgrp -f $$group $$d; \
		chmod -f 775 $$d; \
		for dd in `find $$d -type d`; do \
			chgrp -f $$group $$dd; \
			chmod -f 775 $$dd; \
		done; \
		for f in `find $$d -type f`; do \
			chgrp -f $$group $$f; \
			chmod -f 664 $$f; \
		done; \
	done

# This target is used with "make -q" to see whether a "real" build is needed.
uprobes.ko: $(DEPENDENCIES)
	@echo uprobes.ko is not a valid target.  See Makefile.

clean:
	rm -f $(CLEAN_FILES)
	rm -rf $(CLEAN_DIRS)

=== debian/changelog ===
systemtap (2.9-2~bpo8+1) jessie-backports; urgency=low

  * Rebuild for jessie-backports.
  * debian/rules
    - dont autoreconf

 -- Sandro Tosi <morph@debian.org>  Tue, 02 Feb 2016 10:39:33 -0500

systemtap (2.9-2) unstable; urgency=medium

  * Fix stap compilation with 4.4 kernel. Thanks to Michal Hocko for
    locating and testing the appropriate patch. Closes: #807692.

 -- Vincent Bernat <bernat@debian.org>  Fri, 11 Dec 2015 21:15:16 +0100

systemtap (2.9-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Thu, 15 Oct 2015 00:06:35 +0200

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/systemtap.git
 
 Package: systemtap
-Architecture: any
+Architecture: i386 amd64 ia64 s390 powerpc powerpcspe arm armel armeb armhf
 Depends: systemtap-runtime (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
  systemtap-common (= ${source:Version}), make
 Suggests: systemtap-doc, vim-addon-manager
@@ -59,7 +59,7 @@
 Replaces: systemtap (<< 0.0.20081220-1)
 Breaks: systemtap (<< 0.0.20081220-1)
 Suggests: systemtap
-Architecture: any
+Architecture: i386 amd64 ia64 s390 powerpc powerpcspe arm armel armeb armhf
 Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
 Description: instrumentation system for Linux (runtime component)
  This package contains staprun program that can be used to run
@@ -84,7 +84,7 @@
  information about the running Linux system.
 
 Package: systemtap-server
-Architecture: any
+Architecture: i386 amd64 ia64 s390 powerpc powerpcspe arm armel armeb armhf
 Depends: libnss3-tools, avahi-utils, unzip, zip, systemtap (= ${binary:Version}),
  systemtap-client (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
  net-tools
@@ -99,7 +99,7 @@
  information about the running Linux system.
 
 Package: systemtap-client
-Architecture: any
+Architecture: i386 amd64 ia64 s390 powerpc powerpcspe arm armel armeb armhf
 Depends: avahi-utils, unzip, zip, dnsutils, systemtap-runtime (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Suggests: systemtap-server
 Description: instrumentation system for Linux (client for compile server)

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 endif
 
 %:
-	dh $@ --parallel --with autotools-dev
+	dh $@ --parallel
 
 override_dh_auto_test:
 	# Tests cannot be run during build, see #526957

## systemtap 3.0

=== debian/changelog ===
systemtap (3.0-6~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * debian/control:
    - downgrade b-d for gettext to >= 0.19.3, the version available in stable

 -- Sandro Tosi <morph@debian.org>  Thu, 25 Aug 2016 05:47:17 -0400

systemtap (3.0-6) unstable; urgency=medium

  * d/patches: add another compatibility patch for Linux 4.6+ (from upstream).
    Closes: #827441.

 -- Vincent Bernat <bernat@debian.org>  Thu, 16 Jun 2016 10:33:01 +0200

systemtap (3.0-5) unstable; urgency=medium

  * d/patches: add a compatibility patches for Linux 4.6+ (from upstream).
    Closes: #826802.

 -- Vincent Bernat <bernat@debian.org>  Thu, 09 Jun 2016 13:56:10 +0200

systemtap (3.0-4) unstable; urgency=medium

  * Really build for any architecture. Really closes: #752891.

 -- Vincent Bernat <bernat@debian.org>  Thu, 19 May 2016 07:12:37 +0200

systemtap (3.0-3) unstable; urgency=medium

  * Build for any architecture. This includes arm64, ppc64el and s390x.
    Closes: #752891.
  * Bump Standards-Version to 3.9.8.

 -- Vincent Bernat <bernat@debian.org>  Thu, 12 May 2016 07:22:51 +0200

systemtap (3.0-2) unstable; urgency=medium

  * d/patches: update patch to fix HTML documentation build (from upstream).
  * d/patches: fix 60s alarm reset when using "stap -c CMD" (from upstream).

 -- Vincent Bernat <bernat@debian.org>  Tue, 05 Apr 2016 19:00:20 +0200

systemtap (3.0-1) unstable; urgency=medium

  * New upstream release.
    + Remove 0001-Fix-BZ1285348-by-updating-systemtap-s-memory-flag-us.patch
  * d/control: bump Standards-Version.
  * d/control: update Vcs-* URL.
  * d/watch: check GPG signature when downloading new tarball.
  * d/rules: ensure HTML documentation is built.
  * d/patches: add a patch to fix HTML documentation build.
  * d/rules: fix file permissions for examples.

 -- Vincent Bernat <bernat@debian.org>  Tue, 05 Apr 2016 16:47:33 +0200

systemtap (2.9-3) unstable; urgency=medium

  * Build-Depends on gettext (>= 0.19.4). Closes: #813507.

 -- Vincent Bernat <bernat@debian.org>  Tue, 02 Feb 2016 20:36:01 +0100

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
            Vincent Bernat <bernat@debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
                dh-autoreconf,
+               gettext (>= 0.19.3),
                libelf-dev (>= 0.148),
                libdw-dev (>= 0.148),
                libsqlite3-dev,
@@ -18,15 +19,16 @@
                pkg-config,
                libnss3-tools,
                xmlto,
+               python-lxml,
                latex2html,
                libavahi-client-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://sourceware.org/systemtap/
-Vcs-Git: git://anonscm.debian.org/collab-maint/systemtap.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/systemtap.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/systemtap.git
 
 Package: systemtap
-Architecture: i386 amd64 ia64 s390 powerpc powerpcspe arm armel armeb armhf
+Architecture: linux-any
 Depends: systemtap-runtime (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
  systemtap-common (= ${source:Version}), make
 Suggests: systemtap-doc, vim-addon-manager
@@ -59,7 +61,7 @@
 Replaces: systemtap (<< 0.0.20081220-1)
 Breaks: systemtap (<< 0.0.20081220-1)
 Suggests: systemtap
-Architecture: i386 amd64 ia64 s390 powerpc powerpcspe arm armel armeb armhf
+Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
 Description: instrumentation system for Linux (runtime component)
  This package contains staprun program that can be used to run
@@ -84,7 +86,7 @@
  information about the running Linux system.
 
 Package: systemtap-server
-Architecture: i386 amd64 ia64 s390 powerpc powerpcspe arm armel armeb armhf
+Architecture: linux-any
 Depends: libnss3-tools, avahi-utils, unzip, zip, systemtap (= ${binary:Version}),
  systemtap-client (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
  net-tools
@@ -99,7 +101,7 @@
  information about the running Linux system.
 
 Package: systemtap-client
-Architecture: i386 amd64 ia64 s390 powerpc powerpcspe arm armel armeb armhf
+Architecture: linux-any
 Depends: avahi-utils, unzip, zip, dnsutils, systemtap-runtime (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Suggests: systemtap-server
 Description: instrumentation system for Linux (client for compile server)

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,8 @@
 
 EMACS_ADIR = $(CURDIR)/debian/tmp/usr/share/emacs/site-lisp/systemtap-common
 
-CONF_FLAGS = --enable-sqlite --disable-crash --enable-docs --disable-pie \
+CONF_FLAGS = --enable-sqlite --disable-crash --disable-pie \
+	     --enable-docs --enable-htmldocs --enable-refdocs \
 	     --enable-server --without-rpm --disable-silent-rules \
 	     --enable-translator --disable-publican \
 	     --libexecdir=/usr/lib $(shell dpkg-buildflags --export=configure)
@@ -55,9 +56,9 @@
 	# Install stap-prep
 	install -D stap-prep $(CURDIR)/debian/tmp/usr/bin/stap-prep
 
-	# Ensure that example scripts are executable but tapset files are not
-	find debian/tmp/usr/share/doc/systemtap/examples/ -name \*.stp \! -executable | grep -v /tapset/ | xargs --no-run-if-empty chmod -v +x
-	find debian/tmp/usr/share/doc/systemtap/examples/ -name \*.stp -executable | grep /tapset/ | xargs --no-run-if-empty chmod -v -x
+	# Make all examples not executable. Some of them could be, but
+	# this is not consistently enforced.
+	find debian/tmp/usr/share/doc/systemtap*/examples/ -type f -executable | xargs --no-run-if-empty chmod -x
 
 	# Remove empty file to make lintian happy, patch sent to xmlto upstream
 	rm -f debian/tmp/usr/share/doc/systemtap/tapsets/tapsets.proc

## systemtap 3.1

=== debian/changelog ===
systemtap (3.1-3ubuntu0.1) bionic-proposed; urgency=medium

  * Fix errors seen with Bionic's 4.15 based kernel due to upstream
    kernel changes (LP: #1766754)
    - PR22158-Fix-missing-spin_unlock_wait-declaration.patch
    - PR22551-Fix-reworked-timer-usage.patch

 -- Tyler Hicks <tyhicks@canonical.com>  Wed, 25 Apr 2018 20:56:22 +0000

systemtap (3.1-3) unstable; urgency=medium

  * Add patches from upstream to fix compatibilitye with newer kernels
    (Closes: #876337)
  * Add patch from upstream to fix broken asm header (Closes: #877459)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 05 Oct 2017 22:02:51 +0545

systemtap (3.1-2) unstable; urgency=medium

  * Upload to Unstable
  * Fix kernel version detection for custom built kernels running
    on Debian (Closes: #856461)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Wed, 08 Mar 2017 20:02:36 +0530

systemtap (3.1-1) experimental; urgency=medium

  [ Ritesh Raj Sarraf ]
  * New upstream version 3.1
  * Refresh patches, and drop some that are part of new release
  * Bump debhelper dependency to 9

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 02 Mar 2017 21:11:22 +0530

systemtap (3.0-8) unstable; urgency=medium

  * [25d73e5] Add lsb-release to Depends (Closes: #856458)
  * [9e770e1] Add patch to set correct messaging about debug symbol
    packages (Closes: #856460)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Wed, 01 Mar 2017 15:52:57 +0530

systemtap (3.0-7) unstable; urgency=medium

  * d/patches: support for 4.7 kernel by applying upstream patch.

 -- Vincent Bernat <bernat@debian.org>  Tue, 13 Sep 2016 20:08:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: systemtap
 Section: devel
 Priority: optional
-Maintainer: Ritesh Raj Sarraf <rrs@debian.org> 
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ritesh Raj Sarraf <rrs@debian.org> 
 Uploaders: Timo Juhani Lindfors <timo.lindfors@iki.fi>,
            Vincent Bernat <bernat@debian.org>
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends: debhelper (>= 9),
                dh-autoreconf,
-               gettext (>= 0.19.3),
+               gettext (>= 0.19.4),
                libelf-dev (>= 0.148),
                libdw-dev (>= 0.148),
                libsqlite3-dev,
@@ -30,7 +31,7 @@
 Package: systemtap
 Architecture: linux-any
 Depends: systemtap-runtime (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
- systemtap-common (= ${source:Version}), make
+ systemtap-common (= ${source:Version}), make, lsb-release
 Suggests: systemtap-doc, vim-addon-manager
 Description: instrumentation system for Linux
  SystemTap provides infrastructure to simplify the gathering of

## systemtap 3.3

=== debian/changelog ===
systemtap (3.3-1) unstable; urgency=medium

  * Fix FTBFS on ia64.
    Thanks to Jason Duerstock (Closes: #884007)
  * New upstream version 3.2
  * Update patch debian/patches/systemtap-ia64.patch
  * Drop patches, merged upstream
  * Refresh patch debian/patches/suggest-readme.debian.diff
  * Switch packaging repo to Salsa
  * New upstream version 3.3
  * Refresh patches
  * Override stapbpf binary for user/group.
    Thanks to Emanuele Roca (Closes: #892995)
  * Don't create group twice during the build

 -- Ritesh Raj Sarraf <rrs@debian.org>  Fri, 15 Jun 2018 18:01:07 +0545

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: systemtap
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ritesh Raj Sarraf <rrs@debian.org> 
+Maintainer: Ritesh Raj Sarraf <rrs@debian.org> 
 Uploaders: Timo Juhani Lindfors <timo.lindfors@iki.fi>,
            Vincent Bernat <bernat@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
                dh-autoreconf,
                gettext (>= 0.19.4),
                libelf-dev (>= 0.148),
@@ -25,8 +24,8 @@
                libavahi-client-dev
 Standards-Version: 3.9.8
 Homepage: http://sourceware.org/systemtap/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/systemtap.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/systemtap.git
+Vcs-Git: https://salsa.debian.org/git/debian/systemtap.git
+Vcs-Browser: https://salsa.debian.org/debian/systemtap.git
 
 Package: systemtap
 Architecture: linux-any

## systemtap 4.0

=== debian/changelog ===
systemtap (4.0-1) unstable; urgency=medium

  [Emanuele Rocca]
  * New upstream version (Closes: #923016)
  * Add myself to uploaders
  * Update upstream signing key
  * Do not pass --parallel to dh, default since debhelper 10
  * Do not build depend on dh-autoreconf, debhelper enables it by default
    since version 10
  * Bump Standards Version

  [Ondřej Nový]
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces
  * d/control: Fix wrong Vcs-*

 -- Emanuele Rocca <ema@debian.org>  Sat, 23 Feb 2019 01:04:03 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: systemtap
 Section: devel
 Priority: optional
-Maintainer: Ritesh Raj Sarraf <rrs@debian.org> 
+Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
 Uploaders: Timo Juhani Lindfors <timo.lindfors@iki.fi>,
-           Vincent Bernat <bernat@debian.org>
+           Vincent Bernat <bernat@debian.org>,
+           Emanuele Rocca <ema@debian.org>
 Build-Depends: debhelper (>= 11),
-               dh-autoreconf,
                gettext (>= 0.19.4),
                libelf-dev (>= 0.148),
                libdw-dev (>= 0.148),
@@ -22,9 +22,9 @@
                python-lxml,
                latex2html,
                libavahi-client-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.3.0
 Homepage: http://sourceware.org/systemtap/
-Vcs-Git: https://salsa.debian.org/git/debian/systemtap.git
+Vcs-Git: https://salsa.debian.org/debian/systemtap.git
 Vcs-Browser: https://salsa.debian.org/debian/systemtap.git
 
 Package: systemtap

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 endif
 
 %:
-	dh $@ --parallel
+	dh $@ --with autoreconf
 
 override_dh_auto_test:
 	# Tests cannot be run during build, see #526957

## systemtap 4.1

=== debian/changelog ===
systemtap (4.1-8) unstable; urgency=medium

  * tests: do not fail if more than one linux-headers-amd64 version is
    available. (Closes: #934710)

 -- Emanuele Rocca <ema@debian.org>  Sat, 17 Aug 2019 17:07:27 +0200

systemtap (4.1-7) unstable; urgency=medium

  * Do not override dh_install either.
  * Add lintian override: shell-script-fails-syntax-check
    usr/share/systemtap/examples/stapgames/2048.stp.

 -- Emanuele Rocca <ema@debian.org>  Sun, 04 Aug 2019 18:39:05 +0200

systemtap (4.1-6) unstable; urgency=medium

  * Do not override dh_auto_build/dh_auto_install when building
    arch-independent packages. This should fix systemtap-common and
    systemtap-doc, now built by the autobuilders.
  * Ship examples with systemtap-doc. (Closes: #880420)

 -- Emanuele Rocca <ema@debian.org>  Sun, 04 Aug 2019 16:57:36 +0200

systemtap (4.1-5) unstable; urgency=medium

  * Source-only upload.

 -- Emanuele Rocca <ema@debian.org>  Fri, 02 Aug 2019 08:33:18 +0200

systemtap (4.1-4) unstable; urgency=medium

  * Add debian/tests/build-hello to check that compiling a hello world probe
    (pass 4) works. The test targets the kernel version installed by
    linux-headers-amd64.
  * Add debian/tests/list-coreutils-probe-points to check that stap -L works
    as expected.
  * Mark debian/tests/stap-prep as 'isolation-machine', after having done so
    for the upstream testsuite in 4.1-3. The kernel running on ci.debian.net
    is an old 4.9.110, and stap-prep has no chance to do the right thing with
    such kernel in testing/unstable. More in general, it is unlikely that in a
    test environment the running kernel matches whatever is installed by
    linux-headers-`uname -r`.

 -- Emanuele Rocca <ema@debian.org>  Sun, 28 Jul 2019 13:51:01 +0200

systemtap (4.1-3) unstable; urgency=medium

  * Build with python3 instead of python2 for the python2-rm transition:
    https://release.debian.org/transitions/html/python2-rm.html
  * Pass -a to dh_listpackages instead of -s, which is deprecated.
  * Add 'isolation-machine' to the list of autopkgtest restrictions for
    upstream testsuite. systemtap inserts kernel modules, and that cannot be
    done in LXC containers.
  * Use stapbpf in stap-prep testsuite so that it can be executed in LXC
    containers.
  * Set debhelper compatibility level to 12.

 -- Emanuele Rocca <ema@debian.org>  Sat, 27 Jul 2019 09:45:54 +0200

systemtap (4.1-2) unstable; urgency=medium

  * Patch stap-prep to check for the right kernel debug symbols package (-dbg
    rather than -dbgsym)
  * Run basic stap-prep testing and upstream test suite via autopkgtest
    (Closes: #526957)
  * Use the Salsa CI Pipeline (see debian/salsa-ci.yml)
  * Ship debian/systemtap-common.emacsen-compat (Closes: #932440)

 -- Emanuele Rocca <ema@debian.org>  Wed, 17 Jul 2019 22:29:10 +0200

systemtap (4.1-1) unstable; urgency=medium

  * New upstream version
  * Add debian/patches/syscalls.xmlpart-tbody.patch to fix documentation
    building with xmlto. The patch can likely be removed when packaging
    systemtap 4.2
  * Remove old patches
  * Set Standards Version to 4.4.0

 -- Emanuele Rocca <ema@debian.org>  Sat, 13 Jul 2019 13:22:32 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Timo Juhani Lindfors <timo.lindfors@iki.fi>,
            Vincent Bernat <bernat@debian.org>,
            Emanuele Rocca <ema@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 12),
                gettext (>= 0.19.4),
                libelf-dev (>= 0.148),
                libdw-dev (>= 0.148),
@@ -19,10 +19,10 @@
                pkg-config,
                libnss3-tools,
                xmlto,
-               python-lxml,
+               python3-lxml,
                latex2html,
                libavahi-client-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: http://sourceware.org/systemtap/
 Vcs-Git: https://salsa.debian.org/debian/systemtap.git
 Vcs-Browser: https://salsa.debian.org/debian/systemtap.git
@@ -75,7 +75,7 @@
 Package: systemtap-doc
 Architecture: all
 Section: doc
-Suggests: doc-base
+Suggests: doc-base, systemtap
 Depends: ${misc:Depends}
 Breaks: systemtap (<< 0.0.20081220-1)
 Replaces: systemtap (<< 0.0.20081220-1)
@@ -118,7 +118,7 @@
 
 Package: systemtap-sdt-dev
 Architecture: any
-Depends: ${misc:Depends}, python:any
+Depends: ${misc:Depends}, python3:any
 Description: statically defined probes development files
  This package contains header file and executable (dtrace) that
  can be used to add static probes into userspace applications

=== debian/tests/control ===
Tests: stap-prep
Depends: systemtap, apt-utils
Restrictions: needs-root isolation-machine

Tests: upstream-testsuite
Depends: systemtap, systemtap-sdt-dev, dejagnu, linux-headers-amd64, linux-image-amd64-dbg, libnss3-dev, libnspr4-dev
Restrictions: needs-root rw-build-tree flaky isolation-machine

Tests: build-hello
Depends: systemtap, linux-headers-amd64
Restrictions: rw-build-tree allow-stderr

Tests: list-coreutils-probe-points
Depends: systemtap, linux-headers-amd64, coreutils-dbgsym
